Subject: bug#70148: closed (Re: [bug#70148] [PATCH v2] guix-install.sh: Add unique requirement for sysv init system)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Jun 2024 10:26:03 +0000

Your bug report

#70148: [PATCH] guix-install.sh: Add daemonize to requirements.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70148: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70148
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70148] [PATCH v2] guix-install.sh: Add unique requirement for sysv init system
From: Ludovic Courtès <[email-masked]>
To: Richard Sent <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 04 Jun 2024 12:11:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Richard Sent <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> ‘local’, [[, and arrays are probably Bash-specific.  However this is a
>> #!/bin/sh script, and some systems such as Debian use Dash as /bin/sh.
>> So I’m afraid the script would break on such systems.
>>
>> WDYT?  Do you think we can avoid those features?

[...]

> The script is already using all 3 of these constructs too.

Oh right, I had completely overlooked that.  In that case my point is
moot (it might be useful to not require Bash, but that’s a separate
topic).

Pushed as 40c6f708393885a2d28f847350e8f47beb11e745, thanks!

Ludo’.

Subject: [PATCH] guix-install.sh: Add daemonize to requirements.
From: Richard Sent <[email-masked]>
To: [email-masked]
Cc: Richard Sent <[email-masked]>
Date: Tue, 2 Apr 2024 12:14:16 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* etc/guix-install.sh (REQUIRE): Add daemonize to requirements list.
Needed to spawn the Guix Daemon in guix-daemon.in

Change-Id: I77c7f2bdd686bb023ecfa108a499c2eafbad1eb7
---

Hi Guix. I noticed that in Debian WSL the guix daemon sysvinit service
wouldn't start due to daemonize not being present. This patch should
catch that issue sooner.

Both openrc and sysvinit use guix-daemon.in so daemonize should be
required regardless of the init system.

 etc/guix-install.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 982fb0a266..94ecb1d8f3 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -56,6 +56,7 @@ set -eo pipefail
 [ "$UID" -eq 0 ] || { echo "This script must be run as root."; exit 1; }
 
 REQUIRE=(
+    "daemonize"
     "dirname"
     "readlink"
     "wget"

base-commit: d67e4f0f9b10c7ddac8fb0ca68cbf1d6ad0a6e5d
-- 
2.41.0